{% extends "base.html" %}
{% load i18n %}

{% block body %}
{% if form.errors %}
<p>{% trans "Je gebruikersnaam en/of wachtwoord komen niet overeen. Probeer het opnieuw." %}</p>
{% endif %}

{% if request.GET.next %}
    {% if user.is_authenticated %}
    <p>Your account doesn't have access to this page. To proceed,
    please login with an account that has access.</p>
    {% else %}
    <p>Please login to see this page.</p>
    {% endif %}
{% else %}
    {% if user.is_authenticated %} 
        <p>{% trans "Je bent nu ingelogd!" %} </p>
        
        <a class="button is-light" href="/home">
            <strong>Naar homepage</strong>
        </a>
    {% endif %}
{% endif %}

{% if not user.is_authenticated %}
    <form method="post" action="{% url 'authentication:login' %}">
        {% csrf_token %}
        <table>
        <tr>
            <td>{{ form.username.label_tag }}</td>
            <td>{{ form.username }}</td>
        </tr>
        <tr>
            <td>{{ form.password.label_tag }}</td>
            <td>{{ form.password }}</td>
        </tr>
        </table>
        
        <input type="submit" value="Log me in!">
        <input type="hidden" name="next" value="{{ next }}">
    </form>
        
    {# Assumes you setup the password_reset view in your URLconf #}
    <p><a href="{% url 'authentication:password_reset' %}">Lost password?</a></p>
{% endif %}

{% endblock %}